View Issue Details

IDProjectCategoryView StatusLast Update
0012252ScribusImport / Exportpublic2016-01-23 13:41
ReporterFirasH Assigned Tofschmid  
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.1Fixed in Version1.5.1svn 
Summary0012252: Wrong import of SVG gradient + Crash (file attached)
DescriptionAttached a SVG file which contains a gradient wrongly imported by Scribus. Changing gradient properties crashes Scribus.
Steps To Reproduce0) Create a new document
1) File > Import > Get Vector File... > open the attached file
2) Selected the imported SVG and Properties > Colors > Fill > change "Radial" to "Conical"

Scribus crashes due to Signal 6
Additional InformationScribus 1.5.0 SVN (19075)
Scribus 1.4.4 does not have this issue.

ASSERT failure in QList<T>::at: "index out of range", file /home/.../Qt/5.2.1/gcc_64/include/QtCore/qlist.h, line 472

Program received signal SIGABRT, Aborted.
0x00007fffef778849 in raise () from /lib64/libc.so.6
(gdb) bt
#0 0x00007fffef778849 in raise () from /lib64/libc.so.6
0000001 0x00007fffef779cd8 in abort () from /lib64/libc.so.6
0000002 0x00007ffff747b10e in QMessageLogger::fatal(char const*, ...) const ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000003 0x00007ffff7477e14 in qt_assert_x(char const*, char const*, char const*, int) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000004 0x00000000009da0ed in QList<VColorStop*>::at (this=0x7fffffffba50, i=1)
    at /home/.../Qt/5.2.1/gcc_64/include/QtCore/qlist.h:472
0000005 0x0000000000999ae3 in PageItem::createConicalMesh (this=0x32526f0)
    at /home/.../Scribus/scribus/pageitem.cpp:3612
0000006 0x0000000000d2eee0 in ScribusDoc::itemSelection_SetItemGradFill (this=0x33eaa30, typ=13)
    at /home/.../Scribus/scribus/scribusdoc.cpp:8347
0000007 0x0000000000791146 in ScribusDoc::qt_static_metacall (_o=0x33eaa30, _c=QMetaObject::InvokeMetaMethod, _id=130,
    _a=0x7fffffffc010) at /home/.../Scribus/build/scribus/moc_scribusdoc.cpp:835
0000008 0x00007ffff769d6b1 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000009 0x000000000079f216 in Cpalette::NewGradient (this=0x28d06d0, _t1=13)
    at /home/.../Scribus/build/scribus/ui/moc_cpalette.cpp:564
0000010 0x0000000000e9aeeb in Cpalette::slotGradType (this=0x28d06d0, type=2)
    at /home/.../Scribus/scribus/ui/cpalette.cpp:1189
0000011 0x000000000079e7ca in Cpalette::qt_static_metacall (_o=0x28d06d0, _c=QMetaObject::InvokeMetaMethod, _id=41, _a=0x7fffffffc3f0)
    at /home/.../Scribus/build/scribus/ui/moc_cpalette.cpp:377
0000012 0x00007ffff769d6b1 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000013 0x00007ffff6dffd71 in QComboBox::activated(int) () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000014 0x00007ffff6e01435 in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000015 0x00007ffff6e037f7 in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000016 0x00007ffff769d6b1 in QMetaObject::activate(QObject*, int, int, void**) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000017 0x00007ffff7086e82 in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000018 0x00007ffff6e0091d in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000019 0x00007ffff767495d in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000020 0x00007ffff6cec0bf in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000021 0x00007ffff6cef4d6 in QApplication::notify(QObject*, QEvent*) () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000022 0x00007ffff7674734 in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000023 0x00007ffff6cee54a in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000024 0x00007ffff6d43869 in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000025 0x00007ffff6d45f98 in ?? () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000026 0x00007ffff6cec0f4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000027 0x00007ffff6cef6ae in QApplication::notify(QObject*, QEvent*) () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Widgets.so.5
0000028 0x00007ffff7674734 in QCoreApplication::notifyInternal(QObject*, QEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000029 0x00007ffff6608c21 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Gui.so.5
0000030 0x00007ffff66094a5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Gui.so.5
0000031 0x00007ffff65f0ba8 in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Gui.so.5
0000032 0x00007fffe58231b0 in ?? () from /home/.../Qt/5.2.1/gcc_64/plugins/platforms/libqxcb.so
0000033 0x00007fffed058316 in g_main_dispatch (context=0x7fffe0001740) at gmain.c:3066
0000034 g_main_context_dispatch (context=context@entry=0x7fffe0001740) at gmain.c:3642
0000035 0x00007fffed058668 in g_main_context_iterate (context=context@entry=0x7fffe0001740, block=block@entry=1,
    dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3713
0000036 0x00007fffed05870c in g_main_context_iteration (context=0x7fffe0001740, may_block=1) at gmain.c:3774
0000037 0x00007ffff76c5374 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000038 0x00007ffff76734ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000039 0x00007ffff767753e in QCoreApplication::exec() () from /home/.../Qt/5.2.1/gcc_64/lib/libQt5Core.so.5
0000040 0x000000000123361c in mainApp (argc=1, argv=0x7fffffffdd78) at /home/.../Scribus/scribus/main_nix.cpp:86
0000041 0x00000000012335ac in main (argc=1, argv=0x7fffffffdd78) at /home/.../Scribus/scribus/main_nix.cpp:54
TagsNo tags attached.
Patch

Relationships

child of 0004732 new SVG test cases 
child of 0002931 acknowledged Metabug: SVG 

Activities

FirasH

2014-04-21 21:48

developer  

Gradient.svg (2,677 bytes)

christoph_s

2014-04-21 21:55

administrator   ~0031751

I can neither reproduce the crash nor the changing of the gradient type. However, the colour of the gradient isn't correctly imported so that it appears to have no colour at all.

JLuc

2014-04-21 22:50

developer   ~0031752

Last edited: 2014-04-21 22:51

View 2 revisions

When i import it, there is no color neither for the stroke nor the fill.

When i add a stroke color, i can see the shape. Strangely, it doesnt seem to be the same shape as the one in the SVG shown in Inkscape.

When i close the document, scribus kindof crashes.

Kunda

2014-07-03 18:40

manager   ~0032450

Reproduced on OSX 10.8.5 1.5svn r19309

Kunda

2015-04-08 00:02

manager   ~0034847

Persists on 10.8.5 1.5svn r19978 Qt5.4

Kunda

2016-01-23 02:31

manager   ~0038342

Still persists on 10.10.5 1.5.1svn r20700 Qt5.5.1
Attached backtrace

Kunda

2016-01-23 02:32

manager  

bt-osx.txt (5,422 bytes)
ASSERT failure in QList<T>::at: "index out of range", file /usr/local/opt/qt5/include/QtCore/qlist.h, line 510
Assertion failed: (false), function abort_on_error, file /tmp/scribus20160122-29356-1xk7i9j/scribus/scribuscore.cpp, line 76.
Process 38675 stopped
* thread #1: tid = 0x8edc9, 0x00007fff8ac93286 libsystem_kernel.dylib`__pthread_kill + 10, queue = 'com.apple.main-thread', stop reason = signal SIGABRT
    frame #0: 0x00007fff8ac93286 libsystem_kernel.dylib`__pthread_kill + 10
libsystem_kernel.dylib`__pthread_kill:
->  0x7fff8ac93286 <+10>: jae    0x7fff8ac93290            ; <+20>
    0x7fff8ac93288 <+12>: movq   %rax, %rdi
    0x7fff8ac9328b <+15>: jmp    0x7fff8ac8ec53            ; cerror_nocancel
    0x7fff8ac93290 <+20>: retq
(lldb) bt
* thread #1: tid = 0x8edc9, 0x00007fff8ac93286 libsystem_kernel.dylib`__pthread_kill + 10, queue = 'com.apple.main-thread', stop reason = signal SIGABRT
  * frame #0: 0x00007fff8ac93286 libsystem_kernel.dylib`__pthread_kill + 10
    frame #1: 0x00007fff8ac789f9 libsystem_pthread.dylib`pthread_kill + 90
    frame #2: 0x00007fff8f80a9ab libsystem_c.dylib`abort + 129
    frame #3: 0x00007fff8f7d2a91 libsystem_c.dylib`__assert_rtn + 321
    frame #4: 0x00000001003e137e Scribus`abort_on_error(QtMsgType, QMessageLogContext const&, QString const&) + 150
    frame #5: 0x00000001035ef38c QtCore`qt_message(QtMsgType, QMessageLogContext const&, char const*, __va_list_tag*) + 44
    frame #6: 0x00000001035f0d90 QtCore`QMessageLogger::fatal(char const*, ...) const + 160
    frame #7: 0x00000001035ebb32 QtCore`qt_assert_x(char const*, char const*, char const*, int) + 82
    frame #8: 0x00000001001a8689 Scribus`QList<VColorStop*>::at(int) const + 81
    frame #9: 0x0000000100180c14 Scribus`PageItem::createConicalMesh() + 2610
    frame #10: 0x000000010041b291 Scribus`ScribusDoc::itemSelection_SetItemGradFill(int) + 359
    frame #11: 0x00000001037db79c QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2988
    frame #12: 0x0000000100022969 Scribus`Cpalette::NewGradient(int) + 63
    frame #13: 0x00000001037db79c QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2988
    frame #14: 0x0000000102449d21 QtWidgets`QComboBoxPrivate::emitActivated(QModelIndex const&) + 193
    frame #15: 0x000000010244eaec QtWidgets`QComboBoxPrivate::_q_itemSelected(QModelIndex const&) + 108
    frame #16: 0x00000001037db79c QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2988
    frame #17: 0x00000001026e15a5 QtWidgets`QComboBoxPrivateContainer::itemSelected(QModelIndex const&) + 53
    frame #18: 0x000000010244cb86 QtWidgets`QComboBoxPrivateContainer::eventFilter(QObject*, QEvent*) + 1350
    frame #19: 0x00000001037ab809 QtCore`QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) + 201
    frame #20: 0x000000010234e96b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 235
    frame #21: 0x0000000102352013 QtWidgets`QApplication::notify(QObject*, QEvent*) + 9011
    frame #22: 0x00000001037ab4f3 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 115
    frame #23: 0x000000010234f30b QtWidgets`QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) + 971
    frame #24: 0x00000001023ad2fd QtWidgets`QWidgetWindow::handleMouseEvent(QMouseEvent*) + 2237
    frame #25: 0x00000001023ac0ef QtWidgets`QWidgetWindow::event(QEvent*) + 111
    frame #26: 0x000000010234e97b QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 251
    frame #27: 0x00000001023512de QtWidgets`QApplication::notify(QObject*, QEvent*) + 5630
    frame #28: 0x00000001037ab4f3 QtCore`QCoreApplication::notifyInternal(QObject*, QEvent*) + 115
    frame #29: 0x0000000102a0f222 QtGui`QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) + 2434
    frame #30: 0x00000001029fb572 QtGui`QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 162
    frame #31: 0x0000000104d6e391 libqcocoa.dylib`QCocoaEventDispatcherPrivate::postedEventsSourceCallback(void*) + 33
    frame #32: 0x00007fff95581a01 CoreFoundation`__CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
    frame #33: 0x00007fff95573b8d CoreFoundation`__CFRunLoopDoSources0 + 269
    frame #34: 0x00007fff955731bf CoreFoundation`__CFRunLoopRun + 927
    frame #35: 0x00007fff95572bd8 CoreFoundation`CFRunLoopRunSpecific + 296
    frame #36: 0x00007fff9104656f HIToolbox`RunCurrentEventLoopInMode + 235
    frame #37: 0x00007fff910461ee HIToolbox`ReceiveNextEventCommon + 179
    frame #38: 0x00007fff9104612b HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 71
    frame #39: 0x00007fff8eabb8ab AppKit`_DPSNextEvent + 978
    frame #40: 0x00007fff8eabae58 AppKit`-[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 346
    frame #41: 0x00007fff8eab0af3 AppKit`-[NSApplication run] + 594
    frame #42: 0x0000000104d6d2df libqcocoa.dylib`QCocoaEventDispatcher::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 2191
    frame #43: 0x00000001037a8c1c QtCore`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 412
    frame #44: 0x00000001037aba95 QtCore`QCoreApplication::exec() + 341
    frame #45: 0x00000001007e83fd Scribus`mainApp(int, char**) + 90
    frame #46: 0x00007fff88f175c9 libdyld.dylib`start + 1
    frame #47: 0x00007fff88f175c9 libdyld.dylib`start + 1
bt-osx.txt (5,422 bytes)

Kunda

2016-01-23 13:41

manager   ~0038348

Fixed in r20702 by Franz. Thanks!
Gradient now shows up
Crash is gone
Closing

Issue History

Date Modified Username Field Change
2014-04-21 21:48 FirasH New Issue
2014-04-21 21:48 FirasH File Added: Gradient.svg
2014-04-21 21:55 christoph_s Note Added: 0031751
2014-04-21 22:50 JLuc Note Added: 0031752
2014-04-21 22:51 JLuc Note Edited: 0031752 View Revisions
2014-07-03 17:47 FirasH Relationship added child of 0004732
2014-07-03 18:40 Kunda Note Added: 0032450
2014-07-03 18:40 Kunda Status new => confirmed
2014-07-03 18:40 Kunda Target Version => 1.5.0
2014-09-11 02:47 Kunda Severity crash => block
2015-04-08 00:02 Kunda Note Added: 0034847
2015-05-19 20:56 cbradney Target Version 1.5.0 => 1.5.1
2016-01-21 12:44 Kunda Relationship added child of 0002931
2016-01-23 02:31 Kunda Note Added: 0038342
2016-01-23 02:32 Kunda File Added: bt-osx.txt
2016-01-23 09:47 fschmid Status confirmed => resolved
2016-01-23 09:47 fschmid Fixed in Version => 1.5.1svn
2016-01-23 09:47 fschmid Resolution open => fixed
2016-01-23 09:47 fschmid Assigned To => fschmid
2016-01-23 13:41 Kunda Note Added: 0038348
2016-01-23 13:41 Kunda Status resolved => closed